package com.sonic.cow.client.input.voicechat.domain;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author: mzc
 * @date: 2025-08-25 18:04
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SubtitleConfig {
    @JSONField(name = "DisableRTSSubtitle")
    private Boolean DisableRTSSubtitle;

    @JSONField(name = "ServerMessageUrl")
    private String ServerMessageUrl;

    @JSONField(name = "ServerMessageSignature")
    private String ServerMessageSignature;

    @JSONField(name = "SubtitleMode")
    private Integer SubtitleMode = 0;

    public static SubtitleConfig getSubtitleConfig(String serverMessageUrl, String serverMessageSignature) {
        return SubtitleConfig.builder()
                .DisableRTSSubtitle(false)
                .ServerMessageUrl(serverMessageUrl)
                .ServerMessageSignature(serverMessageSignature)
                .SubtitleMode(0)
                .build();
    }
}
